SDL_GetAudioStreamProperties(3)

NAME
SDL_GetAudioStreamProperties - Get the properties associated with an audio stream.

SYNOPSIS
#include <SDL3/SDL_audio.h>

SDL_PropertiesID SDL_GetAudioStreamProperties(SDL_AudioStream *stream);

FUNCTION PARAMETERS

stream
    the SDL_AudioStream to query.

RETURN VALUE
Returns a valid property ID on success or 0 on failure; call SDL_GetError() for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.